/*
 *  TOPPERS ATK2
 *      Toyohashi Open Platform for Embedded Real-Time Systems
 *      Automotive Kernel Version 2
 *
 *  Copyright (C) 2011-2013 by Center for Embedded Computing Systems
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 *
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 *
 *  $Id: Compiler.h 7959 2013-10-10 05:06:00Z fsi-dankei $
 */

/*
 *		ѥ¸
 */

#ifndef TOPPERS_COMPILER_H
#define TOPPERS_COMPILER_H

#include "Compiler_Cfg.h"

#define AUTOMATIC
#define TYPEDEF
#define NULL_PTR	((void *) 0)

#define FUNC(rettype, memclass)						rettype
#define FUNC_P2CONST(rettype, ptrclass, memclass)	const rettype *
#define FUNC_P2VAR(rettype, ptrclass, memclass)		rettype *
#define P2VAR(ptrtype, memclass, ptrclass)			ptrtype *
#define P2CONST(ptrtype, memclass, ptrclass)		const ptrtype *
#define CONSTP2VAR(ptrtype, memclass, ptrclass)		ptrtype * const
#define CONSTP2CONST(ptrtype, memclass, ptrclass)	const ptrtype * const
#define P2FUNC(rettype, ptrclass, fctname)			rettype (*fctname)
#define CONST(consttype, memclass)					const consttype
#define VAR(vartype, memclass)						vartype

/*
 *	CXǤϡ饤ؿϡ#pragmaפѤơؿ
 *	饤󲽤륷ܥͽꤷʤФʤʤ
 *	饤󲽤륷ܥϡ"xxx_inline_symbol.h"ˤ
 *	ΤᡤInlineץܥ϶ޥȤƼ롥
 */
#define INLINE
#define LOCAL_INLINE	static

/* 饤ꥷܥϿ	*/
#include "target_inline_symbols.h"

#define asm		__asm
#define Asm		__asm  /* 饤󥢥֥ʺŬ޻ߡ*/

#define NoReturn

/* ѥ¸Υǡ */
#ifndef TOPPERS_MACRO_ONLY

#include <limits.h>

/*
 *  ٥
 *    cxǤ礭ϥѥ륨顼ˤʤ뤿ᡢ
 *    롣
 */
#define TOPPERS_EMPTY_LABEL(x, y)	x y[1]

#endif /* TOPPERS_MACRO_ONLY */

#endif /* TOPPERS_COMPILER_H */
