#
#  TOPPERS ATK2
#      Toyohashi Open Platform for Embedded Real-Time Systems
#      Automotive Kernel Version 2
#
#  Copyright (C) 2012-2013 by Center for Embedded Computing Systems
#              Graduate School of Information Science, Nagoya Univ., JAPAN
#  Copyright (C) 2012-2013 by FUJISOFT INCORPORATED, JAPAN
#  Copyright (C) 2012-2013 by FUJITSU VLSI LIMITED, JAPAN
#  Copyright (C) 2012-2013 by NEC Communication Systems, Ltd., JAPAN
#  Copyright (C) 2012-2013 by Panasonic Advanced Technology Development Co., Ltd., JAPAN
#  Copyright (C) 2012-2013 by Renesas Electronics Corporation, JAPAN
#  Copyright (C) 2012-2013 by Sunny Giken Inc., JAPAN
#  Copyright (C) 2012-2013 by TOSHIBA CORPORATION, JAPAN
#  Copyright (C) 2012-2013 by Witz Corporation, JAPAN
#
#  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
#  ܥեȥѤΤޤࡥʲƱˤѡʣ
#  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
#  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
#      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
#      ˴ޤޤƤ뤳ȡ
#  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
#      ѤǤǺۤˤϡۤȼɥȡ
#      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
#      ̵ݾڵǺܤ뤳ȡ
#  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
#      ѤǤʤǺۤˤϡΤ줫ξ
#      ȡ
#    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
#        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
#    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
#        𤹤뤳ȡ
#  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
#      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
#      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
#      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
#      դ뤳ȡ
#
#  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
#  TOPPERSץȤϡܥեȥ˴ؤơλŪ
#  ФŬޤơʤݾڤԤʤޤܥեȥ
#  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
#  Ǥʤ
#
#  $Id: Makefile.prc 8024 2013-11-29 07:51:49Z shigihara $
#

#
#		Makefile Υץå¸V850E2ѡ
#

#
#  ץå̾ȯĶ̾
#
PRC  = v850e2
TOOL = ghs

#
#  ץå¸ǥ쥯ȥ̾
#
PRCDIR = $(SRCDIR)/arch/$(PRC)_$(TOOL)
PRCDIR_GCC = $(SRCDIR)/arch/$(PRC)_gcc

#
#  ѥ륪ץ
#
INCLUDES := $(INCLUDES) -I$(PRCDIR) -I$(PRCDIR_GCC) -I$(SRCDIR)/arch/$(TOOL) 
COPTS := $(COPTS) -cpu=v850e2v3 -ansi -preprocess_assembly_files \
         -srec -kanji=euc -noobj \
         -no_callt \
         -prepare_dispose \
         -registermode=32 \
         -keeptempfiles \
         --no_commons \
         -dual_debug \
         --no_slash_comment \
         -sda=all

LDFLAGS := $(LDFLAGS) -Wl,-append

#
#  Ŭ˴ؤ륪ץ
#
# Makefile  -O2 դʤ
OMIT_OPTIMIZATION = true
#COPTS := $(COPTS) -Ospace -Omax -Olink -Ointerproc
COPTS := $(COPTS) -OL

#
#  ٹ˴ؤ륪ץ
#
COPTS := $(COPTS) --prototype_warnings  \
                   -Wimplicit-int \
                   -Wshadow \
                   -Wundef \
                   -Wtrigraphs \
                   --assembler_warnings \
                   -linker_warnings \
                   --diag_suppress 174,188,191,767 

#
#  ͥ˴ؤ
#
KERNEL_DIR := $(KERNEL_DIR) $(PRCDIR) $(PRCDIR_GCC)
KERNEL_ASMOBJS := $(KERNEL_ASMOBJS) prc_support.o
KERNEL_COBJS := $(KERNEL_COBJS) prc_config.o prc_tool.o

#
#  GNUȯĶΥåȥƥ
#
GCC_TARGET = v850-elf

#
#  ȥåץ⥸塼˴ؤ
#
START_OBJS := $(START_OBJS) start.o

$(START_OBJS): %.o: %.S
	$(CC) -c $(CFLAGS) $(KERNEL_CFLAGS) $<

$(START_OBJS:.o=.d): %.d: %.S
	@$(PERL) $(SRCDIR)/utils/makedep -C $(CC) \
		-O "$(CFLAGS) $(KERNEL_CFLAGS)" $< >> Makefile.depend

LDFLAGS := -nostdlib $(LDFLAGS) -e _reset

#
#  ¸ط
#
cfg1_out.c: $(PRCDIR_GCC)/prc_def.csv
Os_Lcfg.timestamp: $(PRCDIR_GCC)/prc.tf
$(OBJFILE): $(PRCDIR_GCC)/prc_check.tf
offset.h: $(PRCDIR_GCC)/prc_offset.tf

#
#  ͥ졼طѿ
#
CFG_TABS := $(CFG_TABS) --cfg1-def-table $(PRCDIR_GCC)/prc_def.csv
CFG2_OUT := Os_Lcfg.S

#
#  ȯġΥޥ̾
#
CC = ccv850.exe
NM = nm
AR = ccv850.exe

#
#  clean Ǻե
#
CLEAN_FILES := $(CLEAN_FILES) *.dbo *.dla *.map *.run *.dnm *.dep *.dba *.si *.inf
