; 
;  TOPPERS ATK2
;      Toyohashi Open Platform for Embedded Real-Time Systems
;      Automotive Kernel Version 2
;
;  Copyright (C) 2012-2013 by Center for Embedded Computing Systems
;              Graduate School of Information Science, Nagoya Univ., JAPAN
;
;  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
;  ܥեȥѤΤޤࡥʲƱˤѡʣ
;  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
;  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
;      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
;      ˴ޤޤƤ뤳ȡ
;  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
;      ѤǤǺۤˤϡۤȼɥȡ
;      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
;      ̵ݾڵǺܤ뤳ȡ
;  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
;      ѤǤʤǺۤˤϡΤ줫ξ
;      ȡ
;    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
;        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
;    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
;        𤹤뤳ȡ
;  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
;      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
;      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
;      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
;      դ뤳ȡ
;
;  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
;  TOPPERSץȤϡܥեȥ˴ؤơλŪ
;  ФŬޤơʤݾڤԤʤޤܥեȥ
;  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
;  Ǥʤ
;
;  $Id: prc_support.asm 7815 2013-08-31 13:47:32Z honda $
;

$include (v850asm.inc)
$include (asm_config.inc)
$include (offset.h)

;/*
; *  OS߶ػߥޥ
; *  ͥȤΰֳ¦ǸƤӽФ뤳ȤꤷƤ
; */
OUTER_LOCK_OS_INT .macro reg12, reg13

    ;/* pmr_isr2_mask -> PMR; */
    Lea     _pmr_isr2_mask, reg13
    ld.h    0[reg13], reg13
    mov     PMR, reg12
    st.h    reg13, 0[reg12]  ;/* set interrupt level; */

    ;/* nested_lock_os_int_cnt = 1; */
    Lea     _nested_lock_os_int_cnt, reg12
    mov     1, reg13
    st.b    reg13, 0[reg12]

.endm

;/*
; *  OS߶ػ߲ޥ
; *  ͥȤΰֳ¦ǸƤӽФ뤳ȤꤷƤ
; */
OUTER_UNLOCK_OS_INT .macro reg_12, reg_13

    ;/* nested_lock_os_int_cnt = 0; */
    Lea     _nested_lock_os_int_cnt, reg_12
    mov     r0, reg_13
    st.b    reg_13, 0[reg_12]

    ;/* pmr_setting_tbl[current_iintpri] -> PMR; */
    Lea     _current_iintpri, reg_12
    ld.bu   0[reg_12], reg_12
    shl     1, reg_12

    Lea     _pmr_setting_tbl, reg_13
    add     reg_12, reg_13
    ld.h    0[reg_13], reg_13
    mov     PMR, reg_12
    st.h    reg_13, 0[reg_12]  ;/* set interrupt level; */

.endm


	;/*
	; *  㳰ȥferetǥ꥿󤹤㳰ѡ
	; */
	.extern _fe_exception_entry
_fe_exception_entry:
	addi    -80 , sp , sp
	st.w    ep, 12[sp]
	mov     sp, ep 
	sst.w   r1, 72[ep]
	sst.w   r6, 68[ep]
	sst.w   r7, 64[ep]
	sst.w   r8, 60[ep]
	sst.w   r9, 56[ep]
	sst.w   r10, 52[ep]
	sst.w   r11, 48[ep]
	sst.w   r12, 44[ep]
	sst.w   r13, 40[ep]
	sst.w   r14, 36[ep]
	sst.w   r15, 32[ep]
	sst.w   r16, 28[ep]
	sst.w   r17, 24[ep]
	sst.w   r18, 20[ep]
	sst.w   r19, 16[ep]
	sst.w   r20, 12[ep]
	sst.w   r31, 8[ep]

	;/* ¿ųߤΤᡤߤFEPCFEPSW¸; */
	stsr    fepc, r6
	sst.w   r6, 4[ep]
	stsr    fepsw, r6
	sst.w   r6, 0[ep]

	;/*
	; * ץƥեåOS٥Ǽ¹Ԥ뤿OS߶ػ߾֤ˤ
	; * OS߶ػ߾֤㳰ȯǽ뤿ᡤͥȴԤ
	; * 㳰ϼξȯ
	; *  ISR1¹Ծ֤ȯ
	; *  ISR1¹Ծְʳȯ
	; *  OS߲֤ȯ
	; *  OS߶ػ߾֤ȯ
	; */

	;/* pmr_isr2_mask -> r20; */
	Lea     _pmr_isr2_mask, r7
	ld.h    0[r7], r7
	mov     r7, r20                 ;/* r7 -> r20; */

	;/*
	; * ƥ1γ߰ʳ㳰ȯȽǤ
	; * ƥ1㳰ȯfe_exception_1إ
	; */
	mov     ISPR_H, r6
	ld.h    0[r6], r6
	Lea     _pmr_isr1_mask, r7
	ld.h    0[r7], r7
	and     r7, r6
	cmp     r0, r6
	bne     fe_exception_1

	;/*
	; *  ISR1¹Ծְʳȯ
	; */
	Lea     _nested_lock_os_int_cnt, r12
	ld.b    0[r12], r13
	mov     1, r14
	add     r14, r13
	st.b    r13, 0[r12]
	cmp     1, r13
	bne     fe_exception_1

	;/*
	; * OS߲֤ȯ
	; * OS߶ػ߾֤Ȥ
	; */
	mov     PMR, r6
	st.h    r20, 0[r6]              ;/* pmr_isr2_mask -> PMR; */

fe_exception_1:
	;/*
	; *  ȯѹΤǳ߲˼
	; */
	stsr    feic, r19                   ;/* 㳰װ; */
	stsr    fepc, r18                   ;/* 㳰ȯPC; */

	;/* 
	; * C1ISRդ뤿ᡤNPbit ꥢ 
	; */
	stsr    psw, r12
	mov     !0x0080, r13
	and     r12, r13
	ldsr    r13, psw

fe_exception_2:
	;/*
	; *  ͥ뵯ưƤʤ˵CPU㳰ϡ̵¥롼פ
	; */
	Lea   _kerflg, r12          ;/* kerflgFALSEʤ̵¥롼 */
	cmp   r0, r12
	be    infinity_loop

	;/*
	; * ¿ųߤȽ
	; */
	Lea     _except_nest_cnt, r12
	ld.w    0[r12], r13
	mov     1, r14                      ;/*  ߡ㳰ΥͥȲΥ󥯥 */
	add     r14, r13
	st.w    r13, 0[r12]

	mov     sp, r9                      ;/* sp r9 */

	cmp     1, r13
	bne     fe_exception_3              ;/* _nested_lock_os_int_cnt > 1 -> fe_exception_3 */

	;/*
	; * C1ISR¹Ծ֤ȯϥåݥ󥿤ؤʤ
	; */
	mov     ISPR_H, r6
	ld.h    0[r6], r6
	Lea     _pmr_isr1_mask, r7
	ld.h    0[r7], r7
	and     r7, r6
	cmp     r0, r6
	bne     fe_exception_3

	;/* åݥ󥿤¸ؤ */
	Lea     __ostkpt, r12
	ld.w    0[r12], r12
	add     -4, r12
	st.w    sp, 0[r12]                      ;/* åݥ󥿤¸ */
	mov     r12, sp                         ;/* åݥ󥿤ڤؤ */

fe_exception_3:
	UNLOCK_ALL_INT

$ifdef CFG_USE_PROTECTIONHOOK
	;/* v850_cpu_exp_*򤹤륹ڡ */
	addi    -12, sp, sp

	;/* v850_cpu_exp_sp */
	Lea     _v850_cpu_exp_sp, r12
	st.w    r9, 0[r12]
	st.w    ep, 0[sp]
	mov     sp, ep

	;/* v850_cpu_exp_no */
	Lea     _v850_cpu_exp_no, r12
	ld.w    0[r12], r13
	sst.w   r13, 8[ep]
	st.w    r19, 0[r12]                     ;/* r19 㳰װ */

	;/* v850_cpu_exp_pc */
	Lea     _v850_cpu_exp_pc, r12
	ld.w    0[r12], r13
	sst.w   r13, 4[ep]
	mov     r18, r17                        ;/* r18:fepc */
	add     -4, r17
	st.w    r17, 0[r12]

$endif ;/* CFG_USE_PROTECTIONHOOK */

	;/*
	; * CPU㳰ȯ硤OSE_OS_PROTECTION_EXCEPTIONѥ᡼Ȥ
	; * ץƥեåƤӽФ
	; */
	mov     E_OS_PROTECTION_EXCEPTION, r6
	jarl    _call_protectionhk_main, r31

$ifdef CFG_USE_PROTECTIONHOOK
	mov     sp, ep

	;/* v850_cpu_exp_no */
	Lea     _v850_cpu_exp_no, r12
	sld.w   8[ep], r13
	st.w    r13, 0[r12]

	;/* v850_cpu_exp_pc */
	Lea     _v850_cpu_exp_pc, r12
	sld.w   4[ep], r13
	st.w    r13, 0[r12]

	;/* v850_cpu_exp_sp */
	Lea     _v850_cpu_exp_sp, r12
	sld.w   0[ep], r13
	st.w    r13, 0[r12]

	;/* v850_cpu_exp_*򤷤ڡ᤹ */
	addi    12, sp, sp
$endif ;/* CFG_USE_PROTECTIONHOOK */

fe_ret_exc:
	LOCK_ALL_INT

	;/*
	; * ץƥեåOS߶ػ߾֤Ǽ¹Ԥ
	; */

	;/*
	; *  ߡ㳰ΥͥȲΥǥ
	; */
	Lea     _except_nest_cnt, r12
	ld.w    0[r12], r13
	mov     -1, r14
	add     r14, r13
	st.w    r13, 0[r12]

	;/*
	; *  OS߶ػ߾֤β
	; */
	;/*
	; * ISR1¹Ծ֤ȯ
	; * (1)åݥ󥿤ؤ򤷤ʤ
	; * (2)OS߶ػ߾֤β򤷤ʤ
	;*/
	mov     ISPR_H, r6
	ld.h    0[r6], r6
	Lea     _pmr_isr1_mask, r7
	ld.h    0[r7], r7
	and     r7, r6
	cmp     r0, r6
	bne     ret_exc_2

	;/*
	; *  ͥȲ1ʾʤ߸ISRʤ㳰ȯ
	; *  åݥ󥿤ؤʤ
	; */
	cmp     r0, r13
	bne     ret_exc_1

	;/*
	; *  褬ʤ᥹å᤹
	; */
	ld.w    0[sp], sp

ret_exc_1:
	;/*
	; *  ISR1¹Ծְʳȯ硤OS߶ػ߾֤β
	; */
	Lea     _nested_lock_os_int_cnt, r12
	ld.b    0[r12], r13
	mov     -1, r14
	add     r14, r13
	st.b    r13, 0[r12]
	cmp     r0, r13
	bne     ret_exc_2

	;/* OSߤ */
	;/* pmr_setting_tbl[current_iintpri] -> PMR */
	Lea     _current_iintpri, r12
	ld.bu   0[r12], r12
	shl     1, r12

	Lea     _pmr_setting_tbl, r13
	add     r12, r13
	ld.h    0[r13], r13
	mov     PMR, r12
	st.h    r13, 0[r12]              ;/* set interrupt level */

	;/*
	; *  㳰ȯ
	; */
ret_exc_2:
	;/*
	; * 쥸
	; */
	mov     sp, ep
	sld.w    4[ep], r10
	ldsr    r10, fepc
	sld.w   0[ep], r10
	ldsr    r10, fepsw
	sld.w   72[ep], r1
	sld.w   68[ep], r6
	sld.w   64[ep], r7
	sld.w   60[ep], r8
	sld.w   56[ep], r9
	sld.w   52[ep], r10
	sld.w   48[ep], r11
	sld.w   44[ep], r12
	sld.w   40[ep], r13
	sld.w   36[ep], r14
	sld.w   32[ep], r15
	sld.w   28[ep], r16
	sld.w   24[ep], r17
	sld.w   20[ep], r18
	sld.w   16[ep], r19
	sld.w   12[ep], r20
	sld.w    8[ep], r31
	addi    80, ep, sp
	sld.w   12[ep], r30
	feret

	;/*
	; *  㳰ȥeiretǥ꥿󤹤㳰ѡ
	; */
	.extern _ei_exception_entry
_ei_exception_entry:
	addi    -80 , sp , sp
	st.w    ep, 12[sp]
	mov     sp, ep 
	sst.w   r1, 72[ep]
	sst.w   r6, 68[ep]
	sst.w   r7, 64[ep]
	sst.w   r8, 60[ep]
	sst.w   r9, 56[ep]
	sst.w   r10,52[ep]
	sst.w   r11, 48[ep]
	sst.w   r12, 44[ep]
	sst.w   r13, 40[ep]
	sst.w   r14, 36[ep]
	sst.w   r15, 32[ep]
	sst.w   r16, 28[ep]
	sst.w   r17, 24[ep]
	sst.w   r18, 20[ep]
	sst.w   r19, 16[ep]
	sst.w   r20, 12[ep]
	sst.w   r31, 8[ep]

	;/* ¿ųߤΤᡤߤEIPCEIPSW¸ */
	stsr    eipc, r6
	sst.w   r6, 4[ep]
	stsr    eipsw, r6
	sst.w   r6, 0[ep]

	;/*
	; * ץƥեåOS٥Ǽ¹Ԥ뤿OS߶ػ߾֤ˤ
	; * OS߶ػ߾֤㳰ȯǽ뤿ᡤͥȴԤ
	; * 㳰ϼξȯ
	; *  ISR1¹Ծ֤ȯ
	; *  ISR1¹Ծְʳȯ
	; *  OS߲֤ȯ
	; *  OS߶ػ߾֤ȯ
	; */

	;/* pmr_isr2_mask -> r20 */
	Lea     _pmr_isr2_mask, r7
	ld.h    0[r7], r7
	mov     r7, r20

	;/*
	; * ƥ1γ߰ʳ㳰ȯȽǤ
	; * ƥ1㳰ȯei_exception_1إ
	; */
	mov     ISPR_H, r6
	ld.h    0[r6], r6
	Lea     _pmr_isr1_mask, r7
	ld.h    0[r7], r7
	and     r7, r6
	cmp     r0, r6
	bne     ei_exception_1

	;/*
	; *  ISR1¹Ծְʳȯ
	; */
	Lea     _nested_lock_os_int_cnt, r12
	ld.b    0[r12], r13
	mov     1, r14
	add     r14, r13
	st.b    r13, 0[r12]
	cmp     1, r13
	bne     ei_exception_1

	;/*
	; * OS߲֤ȯ
	; * OS߶ػ߾֤Ȥ
	; */
	mov     PMR, r6
	st.h    r20, 0[r6]              ;/* pmr_isr2_mask -> PMR */

ei_exception_1:
	;/*
	; *  ȯѹΤǳ߲˼
	; */
	stsr    eiic, r19                   ;/* 㳰װ */
	stsr    eipc, r18                   ;/* 㳰ȯPC */


ei_exception_2:
	;/*
	; *  ͥ뵯ưƤʤ˵CPU㳰ϡ̵¥롼פ
	; */
	Lea   _kerflg, r12          ;/* kerflgFALSEʤ̵¥롼 */
	cmp   r0, r12
	be    infinity_loop

	;/*
	; * ¿ųߤȽ
	; */
	Lea     _except_nest_cnt, r12
	ld.w    0[r12], r13
	mov     1, r14                      ;/*  ߡ㳰ΥͥȲΥ󥯥 */
	add     r14, r13
	st.w    r13, 0[r12]

	mov     sp, r9                      ;/* sp r9 */

	cmp     1, r13
	bne     ei_exception_3             ;/* _nested_lock_os_int_cnt > 1 -> ei_exception_3 */

	;/*
	; * ISR1¹Ծ֤ȯϥåݥ󥿤ؤʤ
	; */
	mov     ISPR_H, r6
	ld.h    0[r6], r6
	Lea     _pmr_isr1_mask, r7
	ld.h    0[r7], r7
	and     r7, r6
	cmp     r0, r6
	bne     ei_exception_3

	;/* åݥ󥿤¸ؤ */
	Lea     __ostkpt, r12
	ld.w    0[r12], r12
	add     -4, r12
	st.w    sp, 0[r12]                      ;/* åݥ󥿤¸ */
	mov     r12, sp                         ;/* åݥ󥿤ڤؤ */

ei_exception_3:
	UNLOCK_ALL_INT

$ifdef CFG_USE_PROTECTIONHOOK
	;/* v850_cpu_exp_*򤹤륹ڡ */
	addi    -12, sp, sp

	;/* v850_cpu_exp_sp */
	Lea     _v850_cpu_exp_sp, r12
	st.w    r9, 0[r12]
	st.w    ep, 0[sp]
	mov     sp, ep

	;/* v850_cpu_exp_no */
	Lea     _v850_cpu_exp_no, r12
	ld.w    0[r12], r13
	sst.w   r13, 8[ep]
	st.w    r19, 0[r12]                     ;/* r19 㳰װ */

	;/* v850_cpu_exp_pc */
	Lea     _v850_cpu_exp_pc, r12
	ld.w    0[r12], r13
	sst.w   r13, 4[ep]
	mov     r18, r17                        ;/* r18:fepc */
	add     -4, r17
	st.w    r17, 0[r12]

$endif ;/* CFG_USE_PROTECTIONHOOK */

	;/*
	; * CPU㳰ȯ硤OSE_OS_PROTECTION_EXCEPTIONѥ᡼Ȥ
	; * ץƥեåƤӽФ
	; */
	mov     E_OS_PROTECTION_EXCEPTION, r6
	jarl    _call_protectionhk_main, r31

$ifdef CFG_USE_PROTECTIONHOOK
	mov     sp, ep

	;/* v850_cpu_exp_no */
	Lea     _v850_cpu_exp_no, r12
	sld.w   8[ep], r13
	st.w    r13, 0[r12]

	;/* v850_cpu_exp_pc */
	Lea     _v850_cpu_exp_pc, r12
	sld.w   4[ep], r13
	st.w    r13, 0[r12]

	;/* v850_cpu_exp_sp */
	Lea     _v850_cpu_exp_sp, r12
	sld.w   0[ep], r13
	st.w    r13, 0[r12]

	;/* v850_cpu_exp_*򤷤ڡ᤹ */
	addi    12, sp, sp
$endif ;/* CFG_USE_PROTECTIONHOOK */

ei_ret_exc:
	LOCK_ALL_INT

	;/*
	; * ץƥեåOS߶ػ߾֤Ǽ¹Ԥ
	; */

	;/*
	; *  ߡ㳰ΥͥȲΥǥ
	; */
	Lea     _except_nest_cnt, r12
	ld.w    0[r12], r13
	mov     -1, r14
	add     r14, r13
	st.w    r13, 0[r12]

	;/*
	; *  OS߶ػ߾֤β
	; */
	;/*
	; * ISR1¹Ծ֤ȯ
	; * (1)åݥ󥿤ؤ򤷤ʤ
	; * (2)OS߶ػ߾֤β򤷤ʤ
	;*/
	mov     ISPR_H, r6
	ld.h    0[r6], r6
	Lea     _pmr_isr1_mask, r7
	ld.h    0[r7], r7
	and     r7, r6
	cmp     r0, r6
	bne     ei_ret_exc_2

	;/*
	; *  ͥȲ1ʾʤ߸ISRʤ㳰ȯ
	; *  åݥ󥿤ؤʤ
	; */
	cmp     r0, r13
	bne     ei_ret_exc_1

	;/*
	; *  褬ʤ᥹å᤹
	; */
	ld.w    0[sp], sp

ei_ret_exc_1:
	;/*
	; *  ISR1¹Ծְʳȯ硤OS߶ػ߾֤β
	; */
	Lea     _nested_lock_os_int_cnt, r12
	ld.b    0[r12], r13
	mov     -1, r14
	add     r14, r13
	st.b    r13, 0[r12]
	cmp     r0, r13
	bne     ei_ret_exc_2

	;/* OSߤ */
	;/* pmr_setting_tbl[current_iintpri] -> PMR */
	Lea     _current_iintpri, r12
	ld.bu   0[r12], r12
	shl     1, r12

	Lea     _pmr_setting_tbl, r13
	add     r12, r13
	ld.h    0[r13], r13
	mov     PMR, r12
	st.h    r13, 0[r12]              ;/* set interrupt level */

	;/*
	; *  㳰ȯ
	; */
ei_ret_exc_2:
	;/*
	; * 쥸
	; */
	mov     sp, ep
	sld.w    4[ep], r10
	ldsr    r10, eipc
	sld.w   0[ep], r10
	ldsr    r10, eipsw
	sld.w   72[ep], r1
	sld.w   68[ep], r6
	sld.w   64[ep], r7
	sld.w   60[ep], r8
	sld.w   56[ep], r9
	sld.w   52[ep], r10
	sld.w   48[ep], r11
	sld.w   44[ep], r12
	sld.w   40[ep], r13
	sld.w   36[ep], r14
	sld.w   32[ep], r15
	sld.w   28[ep], r16
	sld.w   24[ep], r17
	sld.w   20[ep], r18
	sld.w   16[ep], r19
	sld.w   12[ep], r20
	sld.w    8[ep], r31
	addi    80, ep, sp
	sld.w   12[ep], r30
	eiret

	;/*
	; *  ͥ뵯ưƤʤ˵CPU㳰̵¥롼
	; */
infinity_loop:
	br infinity_loop

	;/*
	; *  ߥȥ
	; *  ٥ơ֥뤫 Os_Lcfg.c Ƴߤγߥȥ
	; *  饸פ12ˤϤ˳ֹ椬¸줿֤Ǽ¹Ԥ
	; *  ץåξ֤ϡ
	; *  - r12ߥϥɥֹ
	; */
	.extern _interrupt
_interrupt:
	;/*
	; *  ĤΥ쥸 EPǤΥڤؤƹԤ
	; */
	st.w    ep, 12[sp]
	mov     sp, ep 
	sst.w   r1, 72[ep]
	sst.w   r6, 68[ep]
	sst.w   r7, 64[ep]
	sst.w   r8, 60[ep]
	sst.w   r9, 56[ep]
	sst.w	r10, 52[ep]
	sst.w	r11, 48[ep]
	sst.w   r13, 40[ep]
	sst.w   r14, 36[ep]
	sst.w   r15, 32[ep]
	sst.w   r16, 28[ep]
	sst.w   r17, 24[ep]
	sst.w   r18, 20[ep]
	sst.w   r19, 16[ep]
	sst.w   r31, 8[ep]

	;/* ¿ųߤΤᡤߤEIPCEIPSW¸ */
	stsr    eipc, r6
	sst.w   r6, 4[ep]
	stsr    eipsw, r6
	sst.w   r6, 0[ep]

	;/* ͥ٤(r11) */
	mov		ISPR_H,r14
	ld.h	0[r14],r13
	sch1r	r13, r11   
	add		-1,r11

	;/* 
	; *  _current_iintpri ι 
	; *  ߽ISPRưŪꤵƤ뤿ᡤPMRꤹɬפʤ
	; */
	Lea     _current_iintpri, r6
	ld.bu   0[r6], r19
	sst.w   r19 , 76[ep]
	st.b    r11,0[r6]

	;/*
	; *  ¿ųߤȽ
	; */
	Lea     _except_nest_cnt, r13
	ld.w    0[r13], r6

	;/*
	; *  ߡ㳰ΥͥȲΥ󥯥
	; */
	add     1,  r6
	st.w    r6, 0[r13]
	cmp     1,  r6
	bne     interrupt_1     ;/* ͥȤƤϥå̵ */

	;/*
	; *  ˳
	; *  åݥ󥿤¸ؤ
	; */
	mov     sp , r13
	Lea     __ostkpt, sp
	ld.w    0[r3], r3
	add     -4, sp
	st.w    r13, 0[sp]

interrupt_1:
	UNLOCK_ALL_INT

$ifdef CFG_USE_STACKMONITORING
	;/*
	; *  åΥХեå
	; */

	;/*
	; * ¿ųߤξϥåΥå˥󥰤Ԥʤ
	; */
	cmp     1,  r6
	bne     int_nested

	;/*
	; *  åݥ󥿥å
	; */
	Lea     _p_runtsk, r6                   ;/* ֥åƬɥ쥹 */
	ld.w    0[r6], r6
	ld.w    TCB_p_tinib[r6], r6             ;/* ֥åƬɥ쥹 */
	ld.w    TINIB_stk[r6], r6               ;/* åƬɥ쥹 */
	cmp     r6, r13                         ;/* åݥ <= åƬξNG  */
	bnh      stack_monitoring_error_isr

	;/*
	; * ޥåʥСå
	; */
    ld.w    0[r6], r6
    mov     STACK_MAGIC_NUMBER, r7
	;/*
	; *  ޥåʥС̤˲ʤ顤߽
	; *  ˳硤ߥååʤ
	; */
	cmp     r7, r6
	be      stack_monitoring_exit
	br      stack_monitoring_error_isr

	;/* 
	; * ¿ųߤξ 
	; */
int_nested:
	;/*
	; *  ߥåΥХեå
	; */

	;/*
	; *  ḁ̊å
	; */
	Lea     _isr_p_isrcb_tbl, r7
	mov     r12, r11
	shl     2, r11                          ;/* ֹ4ܤƥեåȤ  */
	add     r11, r7
	ld.w    ISRCB_p_intinib[r7], r7
	ld.w    INTINIB_remain_stksz[r7], r7    ;/* ֹбåμ */
	Lea     __ostk, r6                      ;/* ߥåƬɥ쥹 */
	ld.w    0[r6], r6
	add     r6, r7                          ;/* Ƭɥ쥹ISRλѤ륹å */
	cmp     r7, sp                          ;/* åݥ <= Ƭɥ쥹ISRλѤ륹åξNG  */
	bnh     stack_monitoring_error_isr

	;/*
	; * ޥåʥСå
	; */
	ld.w    0[r6], r6                       ;/* Υɥ쥹μ˥ޥåʥСäƤ */
	mov     STACK_MAGIC_NUMBER, r7
	cmp     r7, r6
	bne     stack_monitoring_error_isr

stack_monitoring_exit:
$endif ;/* CFG_USE_STACKMONITORING */

	;/*
	; *  _callevel_stat ¸
	; */
	Lea     _callevel_stat, r6
	ld.h    0[r6], r7
	Push    r7

	;/*
	; *  _callevel_stat 
	; */
	mov     TCL_ISR2, r8
	or      r8, r7
	st.h    r7, 0[r6]

	;/*
	; * p_runisr 
	; */
	Lea     _p_runisr, r6
	ld.w    0[r6], r7
	Push    r7

	;/*
	; * p_runisr 
	; */
	Lea     _isr_p_isrcb_tbl, r7
	shl     2, r12                      ;/* ֹ4ܤƥեåȤ  */
	add     r12, r7
	Lea     _p_runisr, r8
	ld.w    0[r7], r7
	st.w    r7, 0[r8]

	;/*
	; *  ߥϥɥΥɥ쥹ɤ߹
	; */
	Lea     _isr_tbl, r6
	add     r12, r6

	;/*
	; *  ߥϥɥƤӽФ
	; */
	Lea     end_int_handler, r31
	ld.w    0[r6], r6
	jmp     [r6]

end_int_handler:

$ifdef CFG_USE_STACKMONITORING
	;/*
	; *  ߥåΥХեå
	; *  ߤäåݥ󥿤äϤʤΤǡ
	; *  ޥåʥСåΤ߼»
	; */

	;/*
	; * ޥåʥСå
	; */
	Lea     __ostk, r6                       ;/* ߥåƬɥ쥹 */
	ld.w    0[r6], r6
	ld.w    0[r6], r6                       ;/* Υɥ쥹μ˥ޥåʥСäƤ */
	mov     STACK_MAGIC_NUMBER, r7
	cmp     r7, r6
	bne     stack_monitoring_error_isr
$endif ;/* CFG_USE_STACKMONITORING */

	;/*
	; * ISR2λå
	; */
	jarl    _exit_isr2, r31

	;/*
	; * p_runisr 
	; */
	Lea     _p_runisr, r7
	Pop     r6
	st.w    r6, 0[r7]

	;/*
	; * _callevel_stat 
	; */
	Lea     _callevel_stat, r7
	Pop     r6
	st.h    r6, 0[r7]

;/*
; *  ߥϥɥи
; */
ret_int:
	;/*
	; * _except_nest_cntȥåڤؤδ֤OS߶ػߤˤ
	; * ɬפ
	; * 衤ؤΥ꥿󤫡ٱǥѥåʬ롥
	; * ؤΥ꥿ˤߤɬפǤꡤٱǥѥåˤ
	; * ͥȴOS߶ػߤˤɬפ뤿ᡤǤϰö߶
	; * ߤȤ
	; */

	LOCK_ALL_INT

	;/*
	; *  ߡ㳰ΥͥȲΥǥ
	; */
	Lea     _except_nest_cnt, r6
	ld.w    0[r6], r7
	add     -1, r7
	st.w    r7, 0[r6]

	;/*
	; *  ͥȲ0ʤ顤߸
	; */
	cmp     r0, r7
	be      ret_int_task

	;/*
	; *  ISR2ߤΥ꥿ϳ߸
	; *  ISR2Ǥ뤿᤽Τޤޥ꥿
	; */
	br      ret_int_1

	;/*
	; *  ߸ξ
	; */
ret_int_task:
	ld.w    0[sp], sp                       ;/* åݥ󥿤᤹     */

	Lea     _current_iintpri, r6
	ld.w    76[sp] , r7
	st.b    r7, 0[r6]              ;/* current_iintpri */

	;/*
	; *  ߥϥɥ¹ԻˤϡISPRͥ٤ưŪ˾夬뤿ᡤ
	; *  PMRѹƤʤߥϥɥ x_nested_unlock_os_int() 
	; *  ƤӽФPMR񤭴롥ǥѥåɬפǤʤϡret_int_1
	; *  PMR򸵤᤹ͤǥѥåɬפʾϡOS߶ػߤȤ뤿ᡤ
	; *  ǡPMR򹹿ɬפϤʤ
	; */

	;/*
	; *  褬ξ硤ǥѥåɬפ뤫å
	; */
	Lea     _p_runtsk, r6
	ld.w    0[r6], r6
	Lea     _p_schedtsk, r7
	ld.w    0[r7], r7
	cmp     r6, r7
	be      ret_int_1      ;/* ǥѥåɬפʤг߸ */

	;/*
	; *  Ǥϡ褬Ǥꡤåϡå
	; *  å쥸Τߤ¸줿֤ˤʤäƤ롥ޤ
	; *  ߤػߤ֤ȤʤäƤ
	; */

	;/* 
	; *  ͥ٥ޥΥꥢ 
	; *  eiret¹Ԥʤᡤeiretˤߥȥͥ٥ޥ
	; *  (󥵡ӥץ饤ƥ)ΥꥢԤʤᡤISPC
	; *  Ѥƥꥢ롥
	; */
	mov		ISPC_H,r10
	mov		0xffff,r11
	st.h	r11,0[r10]
	mov		ISPR_H,r10
	st.h	r0,0[r10]

	;/*
	; *  OS߶ػ߾֤˰ܹԤ
	; *
	; *  λOS߶ػ߾֤ȤΤϡdispatcher¹Ԥݤ
	; *  OS߶ػ߾֤ˤʤäƤɬפ뤿Ǥ
	; *
	; *  (ǥ)ͥ٥ޥ0Ǥ뤿ᡤISR1ʳγߤƶػߤ
	; */

	OUTER_LOCK_OS_INT r12, r13
	;/* ret_int ߶ػ߾֤Ȥ */
	UNLOCK_ALL_INT

	;/*
	; * ƥȤ 
	; */
	addi    -60, sp, sp
	st.w    ep, 0[sp]
	mov     sp, ep
	sst.w   r2, 56[ep]
	sst.w   r10, 52[ep]
	sst.w   r11, 48[ep]
	sst.w   r20, 44[ep]
	sst.w   r21, 40[ep]
	sst.w   r22, 36[ep]
	sst.w   r23, 32[ep]
	sst.w   r24, 28[ep]
	sst.w   r25, 24[ep]
	sst.w   r26, 20[ep]
	sst.w   r27, 16[ep]
	sst.w   r28, 12[ep]
	sst.w   r29, 8[ep]
	sst.w   r31, 4[ep]
	
	;/* åȼεưϤ¸ */
	Lea     _p_runtsk, ep
	sld.w   0[ep], ep
	sst.w   sp, TCB_sp[ep]
	Lea     ret_int_r, r6
	sst.w   r6, TCB_pc[ep]
	br      dispatcher

	;/*
	; *  ߡ㳰ǥƥ¸롼
	; */
ret_int_r:
	;/*
	; * ƥȤ
	; */
	mov     sp, ep
	sld.w   56[ep], r2
	sld.w   52[ep], r10
	sld.w   48[ep], r11
	sld.w   44[ep], r20
	sld.w   40[ep], r21
	sld.w   36[ep], r22
	sld.w   32[ep], r23
	sld.w   28[ep], r24
	sld.w   24[ep], r25
	sld.w   20[ep], r26
	sld.w   16[ep], r27
	sld.w   12[ep], r28
	sld.w   8[ep], r29
	sld.w   4[ep], r31
	addi    60, ep, sp
	ld.w    0[sp], ep

	LOCK_ALL_INT

	OUTER_UNLOCK_OS_INT r12, r13
	;/*
	; *  ߤ롼
	; */
ret_int_1:
	;/*
	; * 쥸
	; */
	mov     sp, ep
	Lea     _current_iintpri, r6
	ld.w    76[ep] , r7
	st.b    r7, 0[r6]              ;/* current_iintpri */

	;/*
	; *  PMR򸵤᤹
	; *  ߥϥɥ¹ԻˤϡISPRͥ٤ưŪ˾夬뤿ᡤ
	; *  PMRѹƤʤߥϥɥ x_nested_unlock_os_int() 
	; *  ƤӽФPMR񤭴뤿ᤳǸ᤹ͤ
	; *  OUTER_UNLOCK_OS_INT  nested_lock_os_int_cnt 0ˤ뤬
	; *  Ǥϴ0Ǥ뤿ʤ
	; */
	OUTER_UNLOCK_OS_INT  r7, r6
	sld.w    4[ep], r10
	ldsr    r10, eipc
	sld.w   0[ep], r10
	ldsr    r10, eipsw
	sld.w   72[ep], r1
	sld.w   68[ep], r6
	sld.w   64[ep], r7
	sld.w   60[ep], r8
	sld.w   56[ep], r9
	sld.w   52[ep], r10
	sld.w   48[ep], r11
	sld.w   44[ep], r12
	sld.w   40[ep], r13
	sld.w   36[ep], r14
	sld.w   32[ep], r15
	sld.w   28[ep], r16
	sld.w   24[ep], r17
	sld.w   20[ep], r18
	sld.w   16[ep], r19
	sld.w    8[ep], r31
	addi    80, ep, sp
	sld.w   12[ep], r30
	eiret


;/*
; * ǥѥå
; */
	.extern _dispatch
_dispatch:
	;/*
	; *  Υ롼ϡƥȡOS߶ػ߾֡ǥѥå
	; *  ľ֡ʥǥΡ˳ͥ٥ޥ֤ǸƤӽФ
	; *  
	; */
	addi    -60, sp, sp
	st.w    ep,  0[sp]
	mov     sp,  ep
	sst.w   r2,  56[ep]
	sst.w   r10, 52[ep]
	sst.w   r11, 48[ep]
	sst.w   r20, 44[ep]
	sst.w   r21, 40[ep]
	sst.w   r22, 36[ep]
	sst.w   r23, 32[ep]
	sst.w   r24, 28[ep]
	sst.w   r25, 24[ep]
	sst.w   r26, 20[ep]
	sst.w   r27, 16[ep]
	sst.w   r28, 12[ep]
	sst.w   r29, 8[ep]
	sst.w   r31, 4[ep]
	;/* åȼεưϤ¸ */
	Lea     _p_runtsk, ep
	sld.w   0[ep], ep
	sst.w   sp, TCB_sp[ep]
	Lea     dispatch_r, r10
	sst.w   r10, TCB_pc[ep]
$ifdef CFG_USE_STACKMONITORING
	;/*
	; *  ¹楿ΥåΥХեå
	; */
	;/*
	; *  åݥ󥿥å
	; */
	Lea     _p_runtsk, r6                   ;/* ֥åƬɥ쥹 */
	ld.w    0[r6], r6
	ld.w    TCB_p_tinib[r6], r6             ;/* ֥åƬɥ쥹 */
	ld.w    TINIB_stk[r6], r6               ;/* åƬɥ쥹 */
	cmp     r6, sp                          ;/* åݥ <= åƬξNG  */
	bnh      stack_monitoring_error
	;/*
	; * ޥåʥСå
	; */
	ld.w    0[r6], r6
	mov     STACK_MAGIC_NUMBER, r7
	cmp     r7, r6
	bne     stack_monitoring_error
$endif ;/* CFG_USE_STACKMONITORING */
	br      dispatcher

	;/* 
	; * ǥѥå롼 
	; */
dispatch_r:
	mov     sp, ep
	sld.w   56[ep], r2
	sld.w   52[ep], r10
	sld.w   48[ep], r11
	sld.w   44[ep], r20
	sld.w   40[ep], r21
	sld.w   36[ep], r22
	sld.w   32[ep], r23
	sld.w   28[ep], r24
	sld.w   24[ep], r25
	sld.w   20[ep], r26
	sld.w   16[ep], r27
	sld.w   12[ep], r28
	sld.w    8[ep], r29
	sld.w    4[ep], r31
	addi    60, ep, sp
	ld.w    0[sp], ep
	jmp     [lp]

;/*
; *  ǥѥåư
; */
	.extern _start_dispatch
_start_dispatch:
	;/*
	; *  Υ롼ϡͥ뵯ưˡ٤Ƥγߤػߤ
	; * ߶ػ߾֤ƱˤǸƤӽФ롥ޤߥ⡼ɡ
	; *  ƥȤƱˤǸƤӽФ뤳ȤꤷƤ
	; *
	; *  dispatcherϡOS߶ػ߾֤ǸƤӽФ
	; */
	;/* OS߶ػ߾ */
	OUTER_LOCK_OS_INT r12, r13
	;/* ߶ػ߲֤ */
	UNLOCK_ALL_INT
	br    dispatcher_0

	;/*
	; *  ߤΥƥȤΤƤƥǥѥå
	; */
	.extern _exit_and_dispatch
_exit_and_dispatch:
$ifdef CFG_USE_STACKMONITORING
	;/*
	; *  ¹ΥåΥХեå
	; */
	;/*
	; *  åݥ󥿥å
	; */
	Lea     _p_runtsk, r6                   ;/* ֥åƬɥ쥹 */
	ld.w    0[r6], r6
	ld.w    TCB_p_tinib[r6], r6             ;/* ֥åƬɥ쥹 */
	ld.w    TINIB_stk[r6], r6               ;/* åƬɥ쥹 */
	cmp     r6, sp                          ;/* åݥ <= åƬξNG  */
	bnh      stack_monitoring_error
	;/*
	; * ޥåʥСå
	; */
	ld.w    0[r6], r6
	mov     STACK_MAGIC_NUMBER, r7
	cmp     r7, r6
	bne     stack_monitoring_error
$endif ;/* CFG_USE_STACKMONITORING */
	;/* ǥѥåΡdispatcherˤ */

dispatcher:
	;/*
	; *  PostTaskHookθƤӽФ
	; */
$ifdef CFG_USE_POSTTASKHOOK
	Lea     _PostTaskHook, r20
	cmp     r20, r0
	be      dispatcher_0
posttaskhook_call:
	Lea     _call_posttaskhook, r6
	jarl    _stack_change_and_call_func_1, r31
$endif ;/* CFG_USE_POSTTASKHOOK */

dispatcher_0:
	;/*
	; *  Υ롼ϡƥȡOS߶ػ߾֡ǥѥå
	; *  ľ֡ʥǥΡ˳ͥ٥ޥ֤ǸƤӽФ
	; *  롥¹ԺƳϤؤ⤳ξ֤Τޤʬ
	; */
$ifdef LOG_DSP_ENTER
	Lea     _p_runtsk, r21
	ld.w    0[r21], r21
	cmp     r0, r21
	be      log_dsp_enter_end
	mov     r21, r6                            ;/* _p_runtsk */
	jarl    _log_dsp_enter, r31
log_dsp_enter_end:
$endif	;/* LOG_DSP_ENTER */

	Lea     _callevel_stat, r21
	ld.h    0[r21], r22
	mov     TSYS_DISALLINT, r20
	and     r22, r20
	be      dispatcher_1

	mov     !TSYS_DISALLINT, r20
	and     r22, r20
	st.h    r20, 0[r21]
	UNLOCK_ALL_INT                             ;/* ߶ػ߲֤ */

	;/*
	; *  㳰ʳ/CPU㳰ˤΥͥȲstart_dispatch䡤dispatcher_3:
	; *  褿'1'ȤʤäƤ뤿ᡤåڤ괹塤
	; *  '0'˽롥
	; */
dispatcher_1:
	Lea     _p_runtsk, r21
	Lea     _p_schedtsk, r20
	ld.w    0[r20], r22
	st.w    r22, 0[r21]
	cmp     r22, r0
	be      dispatcher_3

	mov     r22, ep 
	sld.w   TCB_sp[ep], sp
	Lea     _except_nest_cnt, r20
	st.w    r0, 0[r20]

$ifdef LOG_DSP_LEAVE
	ld.w    0[r21], r6                          ;/* _p_runtsk */
	jarl    _log_dsp_leave, r31
$endif	;/* LOG_DSP_LEAVE */

$ifdef CFG_USE_PRETASKHOOK
	Lea     _PreTaskHook, r20
	cmp     r20, r0
	be      dispatcher_2

pretaskhook_call:
	Lea     _call_pretaskhook, r6
	jarl    _stack_change_and_call_func_1, r31
$endif ;/* CFG_USE_PRETASKHOOK */

dispatcher_2:
	Lea     _p_runtsk, r20
	ld.w    0[r20], r22
	mov     r22, ep
	sld.w   TCB_pc[ep], r31
	jmp     [r31]

dispatcher_3:
	;/*
	; * OS߶ػ߾֤βȡ󥿥ƥȼ¹Ծ֤ؤ
	; * 򤹤
	; *
	; *  󥿥ƥȤڤؤsp󥿥ƥ
	; *  ѥåݥ󥿡except_nest_cnt1)ΤϡOS߶ػ߲
	; *  ȯ߽ˤɤΥåȤȤβ
	; *  ȡߥϥɥǤΥǥѥåɻߤȤ2Ĥΰ
	; *  ̣
	; */
	Lea     __ostkpt, r20		;/* 󥿥ƥѤΥåɤ߹ߥåݥ󥿤ؤ */
	ld.w    0[r20], r3

	mov     TCL_ISR2, r20		;/* _callevel_stat ISR2 */
	Lea     _callevel_stat, r21
	st.h    r20, 0[r21]

	Lea     _except_nest_cnt, r20
	mov     1, r21
	st.w    r21, 0[r20]

	;/*
	; *  OS߶ػ߲֤
	; *  ߤĤ󥿥ƥȼ¹Ծ֤ȤߤԤ
	; *
	; *  ץåԤ˰ܹԤȡߵĤȤϡԲ
	; *  ʬ˹Ԥʤɬפ
	; *  Բʬ˹Ԥʤʤ硤ߤĤľ˳
	; *  ߤꡤǥ¹Բǽ֤ˤʤȡ¹Ԥ٤
	; *  ˤ⤫餺ץåԤˤʤäƤޤ
	; *
	; *  Ԥδ֤ϡp_runtskNULLʡ0ˤꤷʤФʤʤ
	; *  Τ褦ꤷʤȡߥϥɥ餫GetTaskIDƤӽ
	; *  ݤưͤ˹פʤʤ
	; */

	OUTER_UNLOCK_OS_INT r12, r13

	nop
	nop
	nop
	nop

	;/*
	; *  OS߶ػ߾֤
	; *  (ǥ)ͥ٥ޥ0Ǥ뤿ᡤISR1ʳγߤƶػߤ
	; *  å󥿥ƥȤΥåѤƤ뤿ᡤ_except_nest_cntϡ
	; *  '1'ΤޤޤȤ
	; */
	OUTER_LOCK_OS_INT r12, r13
	mov     TCL_TASK, r20
	Lea     _callevel_stat, r21
	st.h    r20, 0[r21]
	br      dispatcher_1

	;/*
	; *  åХեν
	; */
$ifdef CFG_USE_STACKMONITORING
	;/*
	; *  åХեץƥեåƤӽФ
	; *  å򹹤˲ʤᡤߥåνͤѤ
	; */
stack_monitoring_error_isr:
	OUTER_LOCK_OS_INT r12, r13                  ;/* ISR褿OS߶ػߤˤʤäƤʤ */

stack_monitoring_error:
	Lea     _except_nest_cnt, r12               ;/* _ostkptȤexcept_nest_cnt򥤥󥯥Ȥ */
	ld.w    0[r12], r13
	add     1, r13
	st.w    r13, 0[r12]

	Lea    __ostkpt, r12                        ;/* å򹹤˲ʤᡤߥåνͤѤ */
	ld.w    0[r12], r12
	mov     r12, sp

	mov     E_OS_STACKFAULT, r6                 ;/* ץƥեåΰ */
	jarl    _call_protectionhk_main, r31        ;/* ץƥեåƤӽФ */
	;/*
	; * ץƥեåäƤʤ
	; */
	halt                                        ;/* ˤʤϤ */
$endif ;/* CFG_USE_STACKMONITORING */

;/*
; *  ϻ
; *
; *  dispatcherƤӽФ
; */
	.extern _start_r
_start_r:
	;/*
	; *  OS߶ػ߲˸ͥ(TCB.curpri)¹ͥ(TINIB.exepri)
	; *  ѹ(꥽)
	; */
	Lea     _p_runtsk, ep
	ld.w    0[ep], ep
	ld.w    TCB_p_tinib[ep], r22
	ld.b    TINIB_exepri[r22], r21			;/* TINIB.exepri -> TCB.curpri */
	st.b    r21, TCB_curpri[ep]

	;/*
	; *  OS߶ػ߲֤
	; *  (ǥ)ͥ٥ޥ0Ǥ뤿ᡤͭʳߤƵĤ
	; */

	OUTER_UNLOCK_OS_INT r12, r13

	;/*
	; *  λݸԤ褦
	; *  ꥢɥ쥹exit_task
	; */
	Lea     _exit_task, r31

	ld.w    TCB_p_tinib[ep], r22
	ld.w    TINIB_task[r22], r10
	jmp     [r10]

	.extern _stack_change_and_call_func_1 
	.extern _stack_change_and_call_func_2
_stack_change_and_call_func_1:
_stack_change_and_call_func_2:

	push    lp
	Lea     _except_nest_cnt, r12
	ld.w    0[r12], r13
	add     1, r13
	st.w    r13, 0[r12]
	cmp     1, r13
	bne     _stack_change_and_call_func_1_1

	;/* åݥ󥿤¸ؤ */
	Lea     __ostkpt, r12
	ld.w    0[r12], r12
	add     -4, r12
	st.w    sp, 0[r12]                      ;/* åݥ󥿤¸ */
	mov     r12, sp                         ;/* åݥ󥿤ڤؤ */
    

_stack_change_and_call_func_1_1:
	Lea     stack_change_and_call_func_r, lp  ;/* ꥢɥ쥹 */
	mov     r6, r12
	mov     r7, r6
	mov     r8, r7
	jmp     [r12]

stack_change_and_call_func_r:
	Lea     _except_nest_cnt, r12
	ld.w    0[r12], r13
	add     -1, r13
	st.w    r13, 0[r12]
	cmp     r0, r13
	bne     stack_change_and_call_func_r_1

	ld.w    0[sp], sp                    ;/* åݥ󥿤     */
stack_change_and_call_func_r_1:
	pop     lp
	jmp     [lp]


$ifdef ENABLE_RETURN_MAIN
;/*
; *  AKTSPѤmain()ؤΥ꥿󥳡
; */
	.extern _return_main
_return_main:
	Lea   __ostkpt, sp
	ld.w  0[sp],sp
	jarl  _main, r31
$endif ;/* ENABLE_RETURN_MAIN */

;/*
; * åȥϡɥ˰¸ɬפʽ
; */
$ifndef OMIT_PRC_HARDWARE_INIT_HOOK
	.extern _hardware_init_hook
_hardware_init_hook:
	jmp	[lp]
$endif ;/* OMIT_PRC_HARDWARE_INIT_HOOK */

$ifndef OMIT_PRC_SOFTWARE_INIT_HOOK
	.extern _software_init_hook
_software_init_hook:
	jmp	[lp]
$endif ;/* OMIT_PRC_SOFTWARE_INIT_HOOK */

;/*
; *  ɹɬפʤȤ򥳥ѥ뤿Υߡؿ
; *  CX ˤGNUAsm("":::memory);ʤδؿƤӽФ
; */
	.extern _v850_memory_changed
_v850_memory_changed:
	jmp	[lp]
