/*
 *  TOPPERS ATK2
 *      Toyohashi Open Platform for Embedded Real-Time Systems
 *      Automotive Kernel Version 2
 *
 *  Copyright (C) 2012-2013 by Center for Embedded Computing Systems
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *  Copyright (C) 2012-2013 by FUJISOFT INCORPORATED, JAPAN
 *  Copyright (C) 2012-2013 by FUJITSU VLSI LIMITED, JAPAN
 *  Copyright (C) 2012-2013 by NEC Communication Systems, Ltd., JAPAN
 *  Copyright (C) 2012-2013 by Panasonic Advanced Technology Development Co., Ltd., JAPAN
 *  Copyright (C) 2012-2013 by Renesas Electronics Corporation, JAPAN
 *  Copyright (C) 2012-2013 by Sunny Giken Inc., JAPAN
 *  Copyright (C) 2012-2013 by TOSHIBA CORPORATION, JAPAN
 *  Copyright (C) 2012-2013 by Witz Corporation, JAPAN
 *
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 *
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 *
 *  $Id: v850e2_fx4.h 8024 2013-11-29 07:51:49Z shigihara $
 */

/*
 *		V850E2/Fx4Υϡɥ񸻤
 */

#ifndef TOPPERS_V850E2_FX4_H
#define TOPPERS_V850E2_FX4_H

#ifndef _V850E2S_
#define _V850E2M_
#endif /* _V850E2S_ */

/*
 *  PORT쥸
 */
#define PORT_BASE	UINT_C(0xff400000)

/* üҵǽ */
#define PMC(n)		((PORT_BASE) +0x0400 + (n * 0x04U))     /* ݡȡ⡼ɡȥ롦쥸 */
#define PMCSR(n)	((PORT_BASE) +0x0900 + (n * 0x04U))     /* ݡȡ⡼ɡȥ롦åȡꥻåȡ쥸 */
#define PIPC(n)		((PORT_BASE) +0x4200 + (n * 0x04U))     /* ݡIP ȥ롦쥸 */
#define PM(n)		((PORT_BASE) +0x0300 + (n * 0x04U))     /* ݡȡ⡼ɡ쥸 */
#define PMSR(n)		((PORT_BASE) +0x0800 + (n * 0x04U))     /* ݡȡ⡼ɡåȡꥻåȡ쥸 */
#define PIBC(n)		((PORT_BASE) +0x4000 + (n * 0x04U))     /* ݡϥХåեȥ롦쥸 */
#define PFC(n)		((PORT_BASE) +0x0500 + (n * 0x04U))     /* ݡȵǽȥ롦쥸 */
#define PFCE(n)		((PORT_BASE) +0x0600 + (n * 0x04U))     /* ݡȵǽȥ롦쥸 */

/* üҥǡϡ */
#define PBCD(n)		((PORT_BASE) +0x4100 + (n * 0x04U))     /* ݡȥ롦쥸 */
#define PPR(n)		((PORT_BASE) +0x0200 + (n * 0x04U))     /* ݡüҥ꡼ɡ쥸 */
#define P(n)		((PORT_BASE) +0x0000 + (n * 0x04U))     /* ݡȡ쥸 */
#define PNOT(n)		((PORT_BASE) +0x0700 + (n * 0x04U))     /* ݡȡΥåȡ쥸 */
#define PSR(n)		((PORT_BASE) +0x0100 + (n * 0x04U))     /* ݡȡåȡꥻåȡ쥸 */

#define FCLA27CTL1	0xff416244      /* UARTE3ե륿쥸 */
#define FCLA27CTL3	0xff41624c
#define FCLA7CTL0	0xff415040
#define FCLA0CTL2	0xff414008
#define FCLA0CTL4	0xff414010

/*
 *  PLLϢΥ쥸
 */
#define MOSCC		0xff421018
#define MOSCE		0xff421010
#define MOSCS		0xff421014
#define MOSCST		0xff42101c
#define OCDIDH		0xff470008
#define OCDIDL		0xff470000
#define OCDIDM		0xff470004
#define OPBT0		0xff47000c
#define OSCWUFMSK	0xff4201a4

#define SOSCE		0xff421020
#define SOSCS		0xff421024
#define SOSCST		0xff42102c

#define CKSC_0_BASE		0xff426000
#define CKSC_0(n)		(CKSC_0_BASE + (0x10 * n))

#define CKSC_1_BASE		0xff42a000
#define CKSC_1(n)		(CKSC_1_BASE + (0x10 * n))

#define CKSC_A_BASE		0xff422000
#define CKSC_A(n)		(CKSCA_BASE + (0x10 * n))

#define CSCSTAT_0_BASE	0xff426000
#define CSCSTAT_0(n)	(CSCSTAT_0_BASE + (0x10 * n)) + 4

#define CSCSTAT_1_BASE	0xff42a000
#define CSCSTAT_1(n)	(CSCSTAT_1_BASE + (0x10 * n)) + 4

#define CSCSTAT_A_BASE	0xff422000
#define CSCSTAT_A(n)	(CSCSTAT_A_BASE + (0x10 * n)) + 4

#define PLLE_BASE	0xff425000
#define PLLE(n)		(PLLE_BASE + (0x10 * n))

#define PLLS_BASE	0xff425004
#define PLLS(n)		(PLLS_BASE + (0x10 * n))

#define PLLC_BASE	0xff425008
#define PLLC(n)		(PLLC_BASE + (0x10 * n))

#define PLLST_BASE	0xff42500c
#define PLLST(n)	(PLLST_BASE + (0x10 * n))

#define MHz(n)		((n) * 1000 * 1000)
#define CLK_MHz(num)	(num * 1000 * 1000)

/* CKSC_000 CPU, CPU SubSystem */
#define HIGH_SPEED_INTOSC_DIV2	0x08
#define HIGH_SPEED_INTOSC_DIV4	0x09
#define HIGH_SPEED_INTOSC_DIV8	0x0A
#define HIGH_SPEED_INTOSC_DIV32	0x0B
#define MAINOSC_DIV1			0x0C
#define PLL0_DIV1				0x14
#define PLL0_DIV2				0x15
#define PLL0_DIV3				0x16
#define PLL0_DIV4				0x17
#define PLL0_DIV5				0x18
#define PLL0_DIV6				0x19
#define PLL0_DIV8				0x1A
#define PLL0_DIV10				0x1B
#define INTOSC_AUTOSELECT		0x3A

/* CKSC_A03 TAUJ0:PCLK */
#define LOW_SPEED_INTOSC_DIV1	0x01
#define HIGH_SPEED_INTOSC_DIV1	0x07
#define SUBOSC					0x12
#define NO_CLOCKSELECT			0x00

#define PROT_PLLE	2 /*  Fx4 Setting */
#define PROT_CKSC0	0
#define PROT_CKSC1	1
#define PROT_MOSCE	2
#define PROT_SOSCE	2
#define PROT_ROSCE	2
#define PROT_CKSCA	2

/* xxxS Register */
#define CLK_S_STPACK	0x08
#define CLK_S_CLKEN		0x04
#define CLK_S_CLKACT	0x02
#define CLK_S_CLKSTAB	0x01

/* PLL P-Value */
#define PDIV0R5_200TO400	0x0     /* Div 0.5, 200-400MHz Output */
#define PDIV1R0_100TO200	0x1     /* Div 1.0, 100-200MHz Output */
#define PDIV2R0_050TO100	0x2     /* Div 2.0,  50-100MHz Output */
#define PDIV4R0_025TO050	0x3     /* Div 4.0,  25- 50MHz Output */

#define UC_SUCCESS			0
#define UC_ERROR			1
#define UC_INVALIDPARAM		2
#define UC_PROTREGERROR		3
#define UC_CLKSTATUSERR		4
#define UC_CLKNOTENABLE		5
#define UC_CLKNOTACTIVE		6
#define UC_CLKNOTSTAB		7

#ifndef TOPPERS_MACRO_ONLY

extern uint32 EnableSubOSC(void);

extern uint32 EnableMainOSC(uint32 clk_in);

extern uint32 SetPLL(uint32 pllno, uint32 mhz, uint32 *outclk);

extern uint32 set_clock_selection(uint32 control, uint32 status, uint8 regno, uint16 sel);

#endif /* TOPPERS_MACRO_ONLY */

/*
 *  Interval Timer(TAUA0)
 */
#define TAUA0_BASE			UINT_C(0xFF808000)  /* TAUA0 */

#define TAUA0_IRQ			UINT_C(20)          /* TAUA0 */
#define TAUA1_IRQ			UINT_C(21)          /* TAUA1 */
#define TAUA2_IRQ			UINT_C(22)          /* TAUA2 */
#define TAUA3_IRQ			UINT_C(23)          /* TAUA3 */
#define TAUA4_IRQ			UINT_C(24)          /* TAUA4 */
#define TAUA5_IRQ			UINT_C(25)          /* TAUA5 */
#define TAUA6_IRQ			UINT_C(26)          /* TAUA6 */
#define TAUA7_IRQ			UINT_C(27)          /* TAUA7 */
#define TAUA8_IRQ			UINT_C(28)          /* TAUA8 */
#define TAUA9_IRQ			UINT_C(29)          /* TAUA9 */
#define TAUA10_IRQ			UINT_C(30)          /* TAUA10 */
#define TAUA11_IRQ			UINT_C(31)          /* TAUA11 */
#define TAUA12_IRQ			UINT_C(32)          /* TAUA12 */
#define TAUA13_IRQ			UINT_C(33)          /* TAUA13 */
#define TAUA14_IRQ			UINT_C(34)          /* TAUA14 */
#define TAUA15_IRQ			UINT_C(35)          /* TAUA15 */

#define TAUA_CH0			0
#define TAUA_CH1			1
#define TAUA_CH2			2
#define TAUA_CH3			3
#define TAUA_CH4			4
#define TAUA_CH5			5
#define TAUA_CH6			6
#define TAUA_CH7			7
#define TAUA_CH8			8
#define TAUA_CH9			9
#define TAUA_CH10			10
#define TAUA_CH11			11
#define TAUA_CH12			12
#define TAUA_CH13			13
#define TAUA_CH14			14
#define TAUA_CH15			15

/*
 *  TAUA0 Timer ϡɥ
 */

/*
 *  쥸
 */
/* TAUA0 ץꥹ顦쥸 */
#define TAUA0TPS		(TAUA0_BASE + 0x240U)               /* ץꥹ顦å쥸 */
#define TAUA0BRS		(TAUA0_BASE + 0x244U)               /* ץꥹ顦ܡ졼쥸 */

/* TAUA0 쥸 */
#define TAUA0CDR(CH)	(TAUA0_BASE + (CH * 4U))            /* ǡ쥸 */
#define TAUA0CNT(CH)	(TAUA0_BASE + (0x80U + (CH * 4U)))  /* 󥿡쥸 */
#define TAUA0CMOR(CH)	(TAUA0_BASE + (0x200U + (CH * 4U))) /* ⡼OS 쥸 */
#define TAUA0CMUR(CH)	(TAUA0_BASE + (0xC0 + (CH * 4U)))   /* ⡼ɡ桼쥸 */
#define TAUA0CSR(CH)	(TAUA0_BASE + (0x140U + (CH * 4U))) /* ơ쥸 */
#define TATA0CSC(CH)	(TAUA0_BASE + (0x180U + (CH * 4U))) /* ơꥢȥꥬ쥸 */
#define TAUA0TS		(TAUA0_BASE + 0x1C4U)                   /* ȡȥꥬ쥸 */
#define TAUA0TE		(TAUA0_BASE + 0x1C0U)                   /* ĥơ쥸 */
#define TAUA0TT		(TAUA0_BASE + 0x1C8U)                   /* ȥåסȥꥬ쥸 */

/* TAUA0 ϥ쥸 */
#define TAUA0TOE	(TAUA0_BASE + 0x5CU)                    /* ϵĥ쥸 */
#define TAUA0TO		(TAUA0_BASE + 0x58U)                    /* ϥ쥸 */
#define TAUA0TOM	(TAUA0_BASE + 0x248U)                   /* ϥ⡼ɡ쥸 */
#define TAUA0TOC	(TAUA0_BASE + 0x24CU)                   /* ϥե졼󡦥쥸 */

#define TAUA0TOL	(TAUA0_BASE + 0x40U)                    /* ϥƥ֡٥롦쥸 */
#define TAUA0TDE	(TAUA0_BASE + 0x250U)                   /* ǥåɡϵĥ쥸 */
#define TAUA0TDM	(TAUA0_BASE + 0x254U)                   /* ǥåɡϥ⡼ɡ쥸 */
#define TAUA0TDL	(TAUA0_BASE + 0x54U)                    /* ǥåɡϥ٥롦쥸 */

#define TAUA0TRO	(TAUA0_BASE + 0x4CU)                    /* ꥢ륿ϥ쥸 */
#define TAUA0TRE	(TAUA0_BASE + 0x258U)                   /* ꥢ륿ϵĥ쥸 */
#define TAUA0TRC	(TAUA0_BASE + 0x25CU)                   /* ꥢ륿쥸 */
#define TAUA0TME	(TAUA0_BASE + 0x50U)                    /* Ĵϵĥ쥸 */
/* TAUA0 ɡǡ쥸 */
#define TAUA0RDE	(TAUA0_BASE + 0x260U)                   /* ɡǡĥ쥸 */
#define TAUA0RDM	(TAUA0_BASE + 0x264U)                   /* ɡǡ⡼ɡ쥸 */
#define TAUA0RDS	(TAUA0_BASE + 0x268U)                   /* ɡǡCH 򡦥ɡǡCH  */
#define TAUA0RDC	(TAUA0_BASE + 0x26CU)                   /* ɡǡ쥸 */
#define TAUA0RDT	(TAUA0_BASE + 0x44U)                    /* ɡǡȥꥬ쥸 */
#define TAUA0RSF	(TAUA0_BASE + 0x48U)                    /* ɡơ쥸 */

#define MCU_TAUA0_MASK_CK0				((uint16) 0x000f)
#define MCU_TAUA0_CK0					((uint16) 0x0000)
#define MCU_TAUA00_CMOR					((uint16) 0x0001)
#define MCU_TAUA00_CMUR					((uint8) 0x01)
#define MCU_TAUA00_DI					((uint16) 0x0080)
#define MCU_TAUA00_EI					((uint16) 0x0000)
#define MCU_TAUA00_MASK_ENB				((uint16) 0x0001)
#define MCU_TIMER_STOP					((uint8) 0x0)
#define MCU_TIMER_START					((uint8) 0x1)

#define ICTAUA0_BASE					0xffff6028                  /* ͥ룰 */
#define ICTAUA0I(CH)					(ICTAUA0_BASE + (CH * 0x02))


/*
 *  TAUA0 ޥ
 */
#define TAUA0_MASK_BIT	0x0xfffe                                    /* bit0 = TAUA0 */

/*
 * OSTM
 */
#define OSTM_IRQ			UINT_C(147)

#define OSTM0_BASE 0xFF800000

#define OSTM_CMP_W (0xFF800000 + 0x00)
#define OSTM_CNT_W (0xFF800000 + 0x04)
#define OSTM_TE    (0xFF800000 + 0x10)
#define OSTM_TS_B  (0xFF800000 + 0x14)
#define OSTM_TT_B  (0xFF800000 + 0x18)
#define OSTM_CTL_B (0xFF800000 + 0x20)

/*
 *  UARTE
 */
#define URTE3_BASE	UINT_C(0xff5f0000)
#define URTE5_BASE	UINT_C(0xff610000)
#define URTE10_BASE	UINT_C(0xff660000)
#define URTEnCTL0	(UARTE_BASE + 0x00U)
#define URTEnCTL1	(UARTE_BASE + 0x20U)
#define URTEnCTL2	(UARTE_BASE + 0x24U)
#define URTEnTRG	(UARTE_BASE + 0x04U)
#define URTEnSTR0	(UARTE_BASE + 0x08U)
#define URTEnSTR1	(UARTE_BASE + 0x0cU)
#define URTEnSTC	(UARTE_BASE + 0x10U)
#define URTEnRX		(UARTE_BASE + 0x14U)
#define URTEnTX		(UARTE_BASE + 0x18U)
#define URTEnEMU	(UARTE_BASE + 0x34U)

#define INTLMA3IT	0xffff618C      /* žλ */
#define INTLMA3IR	0xffff618A      /* λ */

#define INTLMA5IT	0xffff61C4      /* UART5 RX */
#define INTLMA5IR	0xffff61C6      /* UART5 TX */

#define INTLMA10IT	0xffff6204      /* UART10 TX */
#define INTLMA10IR	0xffff6202      /* UART10 RX */

#define URTE3_INTNO		UINT_C(197)
#define URTE5_INTNO		UINT_C(226)

#ifndef URTE10_INTNO
#define URTE10_INTNO	UINT_C(249)
#endif /* URTE10_INTNO */


/*
 *  INT
 */
#define EIC_BASE			UINT_C(0xffff6000)
#define EIC_ADDRESS(intno)	(EIC_BASE + (intno * 2))
#define PMR					UINT_C(0xFFFF6448)
#define ISPR_H				UINT_C(0xFFFF6440)
#define ISPC_H				UINT_C(0xffff6450)

#define TMIN_INTNO	UINT_C(0)
#define TMAX_INTNO	UINT_C(255)
#define TNUM_INT	UINT_C(256)

#include "v850.h"

#endif /* TOPPERS_V850E2_FX4_H */
